org.eclipse.incquery.validation.runtime

## Class ValidationManager

- java.lang.Object
- - org.eclipse.incquery.validation.runtime.ValidationManager

- Deprecated.
  Use `ConstraintExtensionRegistry` and `ValidationInitializerUtil` instead.

      public final class ValidationManager
      extends java.lang.Object

  The validation manager is singleton that serves as a single entry point for using the validation.

  It provides capabilities for:

  - accessing the constraint specifications registered through extensions (see EMF-IncQuery @Constraint annotation)
  - initializing a new validation engine
  Author:
    Balint Lorand

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Set<IConstraintSpecification>` | `getConstraintSpecificationsForEditorId(java.lang.String editorId)` Deprecated. Use `ConstraintExtensionRegistry.getConstraintSpecificationsForEditorId(String)` instead
    `static com.google.common.collect.Multimap<java.lang.String,IConstraintSpecification>` | `getEditorConstraintSpecificationMap()` Deprecated. Use `ConstraintExtensionRegistry.getEditorConstraintSpecificationMap()` instead
    `static IValidationEngine` | `initializeValidationEngine(org.eclipse.emf.common.notify.Notifier notifier, java.lang.String editorId)` Deprecated. Use `ValidationInitializerUtil#initializeValidationWithRegisteredConstraintsOnNotifier` instead.
    `static boolean` | `isConstraintSpecificationsRegisteredForEditorId(java.lang.String editorId)` Deprecated. Use `ConstraintExtensionRegistry.isConstraintSpecificationsRegisteredForEditorId(String)` instead

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getEditorConstraintSpecificationMap

          public static com.google.common.collect.Multimap<java.lang.String,IConstraintSpecification> getEditorConstraintSpecificationMap()

      Deprecated. Use `ConstraintExtensionRegistry.getEditorConstraintSpecificationMap()` instead
      Returns the map of all the registered constraint specifications for the particular editor Ids.
      Returns:
        A Multimap containing all the registered constraint specifications for each editor Id.

    - #### isConstraintSpecificationsRegisteredForEditorId

          public static boolean isConstraintSpecificationsRegisteredForEditorId(java.lang.String editorId)

      Deprecated. Use `ConstraintExtensionRegistry.isConstraintSpecificationsRegisteredForEditorId(String)` instead
      Returns whether there are constraint specifications registered for an editor Id.
      Parameters:
        `editorId` - The editor Id which should be checked
      Returns:
        `true` if there are registered constraint specifications

    - #### getConstraintSpecificationsForEditorId

          public static java.util.Set<IConstraintSpecification> getConstraintSpecificationsForEditorId(java.lang.String editorId)

      Deprecated. Use `ConstraintExtensionRegistry.getConstraintSpecificationsForEditorId(String)` instead
      Returns the registered constraint specifications for a particular editor Id.
      Parameters:
        `editorId` - The editor Id for which the constraint specifications should be retrieved.
      Returns:
        The Set of constraint specifications registered.

    - #### initializeValidationEngine

          public static IValidationEngine initializeValidationEngine(org.eclipse.emf.common.notify.Notifier notifier,
                                                                     java.lang.String editorId)
                                                              throws IncQueryException

      Deprecated. Use `ValidationInitializerUtil#initializeValidationWithRegisteredConstraintsOnNotifier` instead.
      Initializes a new validation engine implementing the IValidationEngine interface on the provided Notifier instance with the constrains specified for the given editor Id.
      Parameters:
        `notifier` - The Notifier object on which the validation engine should be initialized.
        `editorId` - An editor Id for which we wish to use the registered constraint specifications at the org.eclipse.incquery.livevalidation.runtime.constraintspecification extension point.
      Returns:
        The initialized validation engine.
      Throws:
        `IncQueryException` - if there is an error creating the engine on the notifier